Debian Bug report logs - #668947
bittwist: Segmentation fault on executing

version graph

Package: bittwist; Maintainer for bittwist is Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>; Source for bittwist is src:bittwist.

Reported by: Fernando Cerezal <kryptos21@gmail.com>

Date: Sun, 15 Apr 2012 22:09:02 UTC

Severity: grave

Found in version bittwist/1.1-1

Fixed in versions 1.1-1+rm, bittwist/2.0-2

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#668947; Package bittwist. (Sun, 15 Apr 2012 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Cerezal <kryptos21@gmail.com>:
New Bug report received and forwarded. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Sun, 15 Apr 2012 22:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fernando Cerezal <kryptos21@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bittwist: Segmentation fault on executing
Date: Mon, 16 Apr 2012 00:00:40 +0200
Package: bittwist
Version: 1.1-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
    Trying to use it with the following line:
    bittwist -i eth0 128_2.pcap

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   Above invokation.

   * What was the outcome of this action?
   Above execution line returns segmentation fault after openning network interface and pcap file.
   * What outcome did you expect instead?
   It send data over network.

*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (250, 'testing'), (200, 'unstable'), (150, 'stable'), (20, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages bittwist depends on:
ii  libc6       2.13-27
ii  libpcap0.8  1.2.1-1

Versions of packages bittwist recommends:
ii  tcpdump  4.2.1-3

Versions of packages bittwist suggests:
ii  wireshark  1.6.6-1

-- no debconf information




Message sent on to Fernando Cerezal <kryptos21@gmail.com>:
Bug#668947. (Wed, 16 May 2012 22:00:12 GMT) Full text and rfc822 format available.

Message #8 received at 668947-submitter@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 668947-submitter@bugs.debian.org
Subject: Re: bittwist: Segmentation fault on executing
Date: Wed, 16 May 2012 22:59:03 +0100
On Mon, Apr 16, 2012 at 12:00:40AM +0200, Fernando Cerezal wrote:
> * What led up to the situation?
>   Trying to use it with the following line:
>   bittwist -i eth0 128_2.pcap
>
> * What exactly did you do (or not do) that was effective (or
>   ineffective)?
>   Above invokation.
>
> * What was the outcome of this action?
>   Above execution line returns segmentation fault after openning network interface and pcap file.
> * What outcome did you expect instead?
>   It send data over network.
[...]
> Architecture: amd64 (x86_64)

Version 1.1 doesn't really work on amd64 (Bug#584889).  Can you try
version 2.0 from <http://bittwist.sourceforge.net/>?  I can put together
an experimental package for you if that's simpler.

If it still doesn't work, please attach a sample .pcap file (smaller
is better).

Cheers,

Matej




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 27 Oct 2012 10:15:08 GMT) Full text and rfc822 format available.

Notification sent to Fernando Cerezal <kryptos21@gmail.com>:
Bug acknowledged by developer. (Sat, 27 Oct 2012 10:15:08 GMT) Full text and rfc822 format available.

Message #13 received at 668947-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 584889-done@bugs.debian.org,661024-done@bugs.debian.org,668947-done@bugs.debian.org,
Cc: bittwist@packages.debian.org, bittwist@packages.qa.debian.org
Subject: Bug#690391: Removed package(s) from unstable
Date: Sat, 27 Oct 2012 10:10:50 +0000
Version: 1.1-1+rm

Dear submitter,

as the package bittwist has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/690391

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#668947; Package bittwist. (Thu, 13 Jun 2013 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Thu, 13 Jun 2013 21:33:06 GMT) Full text and rfc822 format available.

Message #18 received at 668947@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: control@bugs.debian.org
Cc: 584889@bugs.debian.org, 668947@bugs.debian.org
Date: Thu, 13 Jun 2013 23:30:46 +0200
fixed 584889 2.0-2
fixed 668947 2.0-2
thanks



Marked as fixed in versions bittwist/2.0-2. Request was from Anton Gladky <gladk@debian.org> to control@bugs.debian.org. (Thu, 13 Jun 2013 21:33:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Jul 2013 07:29:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:36:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.